Honeycomb
probe Trigger

# trigger_is_unresolved

Checks that the trigger is in unresolved (“triggered”) state.

Run it now
View details

Type | probe
Module | chaoshoneycomb.trigger.probes
Name | trigger_is_unresolved
Return | boolean

Usage

JSON

    {
      "name": "trigger-is-unresolved",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaoshoneycomb.trigger.probes",
        "func": "trigger_is_unresolved",
        "arguments": {
          "dataset_slug": "",
          "trigger_id": ""
        }
      }
    }

YAML

    name: trigger-is-unresolved
    provider:
      arguments:
        dataset_slug: ''
        trigger_id: ''
      func: trigger_is_unresolved
      module: chaoshoneycomb.trigger.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
dataset_slug | string |  | Yes | Dataset | Dataset slug
trigger_id | string |  | Yes | Trigger Identifier |

Signature

    def trigger_is_unresolved(dataset_slug: str,
                              trigger_id: str,
                              configuration: Dict[str, Dict[str, str]] = None,
                              secrets: Dict[str, Dict[str, str]] = None) -> bool:
        pass

## Related starters

- Honeycomb
  probe Trigger

  ## `get_trigger`

  Retrieves a trigger information and state.
- Honeycomb
  probe Trigger

  ## `trigger_is_resolved`

  Checks that the trigger is in resolved (not “triggered”) state.
- Honeycomb
  probe Query

  ## `query_results`

  Retrieve the results of a query